#
# Copyright (c) 2021-2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

class SonicDB(object):
    APPL_DB = "APPL_DB"
    ASIC_DB = "ASIC_DB"
    COUNTERS_DB = "COUNTERS_DB"
    CONFIG_DB = "CONFIG_DB"
    STATE_DB = "STATE_DB"
    EVENT_DB = "EVENT_DB"


class SonicTable(object):

    # APPL_DB Tables START
    ######################
    APPL_DB_ROUTE_TABLE = "ROUTE_TABLE"
    APPL_DB_INTF_TABLE = "INTF_TABLE"
    APPL_DB_IB_PORT_TABLE = "IB_PORT_TABLE"
    APPL_DB_ALIAS_PORT_MAP = "ALIAS_PORT_MAP"
    # APPL_DB Tables END
    ####################

    # STATE_DB Tables START
    #######################
    STATE_DB_INTERFACE_TABLE = "INTERFACE_TABLE"
    STATE_DB_TRANSCEIVER_DOM_SENSOR = "TRANSCEIVER_DOM_SENSOR"
    STATE_DB_IB_PORT_TABLE = "IB_PORT_TABLE"
    STATE_DB_AMBIENT_TEMPERATURE = "TEMPERATURE_INFO|Ambient Port Side Temp"
    STATE_DB_CPU_INFO_UTIL = "CPU_INFO|UTIL"
    STATE_DB_DISK_INFO_USAGE = "DISK_INFO|USAGE"
    STATE_DB_RAM_INFO_USAGE = "RAM_INFO|USAGE"
    STATE_DB_FAN_INFO = "FAN_INFO"
    STATE_DB_PSU_INFO = "PSU_INFO"
    STATE_DB_TEMPERATURE_INFO = "TEMPERATURE_INFO"
    # STATE_DB Tables END
    #####################

    # CONFIG_DB Tables START
    ######################
    CONFIG_DB_IB_PORT = "IB_PORT"
    CONFIG_DB_DEVICE_METADATA = "DEVICE_METADATA|localhost"
    # CONFIG_DB Tables END
    ####################

    # COUNTERS_DB Tables START
    ##########################
    COUNTERS_DB_COUNTERS_PORT_NAME_MAP = "COUNTERS_PORT_NAME_MAP"
    COUNTERS_DB_COUNTERS = "COUNTERS"
    # COUNTERS_DB Tables END
    ########################

    # ASIC_DB Tables START
    ##########################
    ASIC_DB_ASIC_STATE_SAI_OBJECT_TYPE_FDB_ENTRY = "ASIC_STATE:SAI_OBJECT_TYPE_FDB_ENTRY"
    ASIC_DB_ASIC_STATE_SAI_OBJECT_TYPE_VLAN = "ASIC_STATE:SAI_OBJECT_TYPE_VLAN"
    ASIC_DB_ASIC_STATE_SAI_OBJECT_TYPE_BRIDGE_PORT = "ASIC_STATE:SAI_OBJECT_TYPE_BRIDGE_PORT"
    # ASIC_DB Tables END
    ########################

    # EVENT_DB Table START
    EVENT_DB_EVENT = "EVENT"